﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DispatchStatus
{
    class Program
    {
        static void Main(string[] args)
        {
          // Przykład wywołania metody getDispatchStatus, umożliwiającej sprawdzenie statusów przesyłek
            try
            {
                string sLogin = ""; // Login konta w Postivo.pl
                string sApiPass = ""; // Hasło dostępu do konta przez API

                // Identyfikatory przesyłek, których status chcemy sprawdzić
                string[] arDispatchIds = new string[] { "E00008542", "E00008541" };

                // Utworzenie obiektu serwisu:
                Postivo.PostivoplPortTypeClient serwis = new Postivo.PostivoplPortTypeClient();

                // Wywołanie metody getDispatchStatus z przekazaniem wszystkich parametrów
                Postivo.DispatchReturnObject output = serwis.getDispatchStatus(sLogin, sApiPass, arDispatchIds);

                // Przykład obsługi danych wyjściowych:
                Console.WriteLine("Status żądania: " + output.result + ", kod statusu żądania: " + output.result_code);

                foreach (Postivo.Shipment shipment in output.shipments)
                {
                    Console.WriteLine("Przesyłka dla: " + shipment.recipient_name + ", " + shipment.recipient_address + " " + shipment.recipient_home_number + " " + shipment.recipient_flat_number + ", " + shipment.recipient_post_code + " " + shipment.recipient_city + ", fax: " + shipment.recipient_fax_number);
                    Console.WriteLine("składająca się z: " + shipment.page_number + " stron ma status " + shipment.status + "(kod statusu: " + shipment.status_code + " opis kodu: " + shipment.status_description);

                    if (shipment.status.Equals("OK"))
                    {
                        Console.WriteLine("Zostanie nadana za pośrednictwem: " + shipment.dispatch_carrier + " jako: " + shipment.dispatch_type + ". Jej koszt to " + shipment.price + "zł netto");
                    }
                }
            }
            catch (Exception exeption)
            {
                Console.WriteLine("Wystąpił błąd: " + exeption.Message);
            }

        }
    }
}
