using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace GetPrice
{
    class Program
    {
        static void Main(string[] args)
        {
            // Przykad wywoania metody getPrice, umoliwiajcej sprawdzenie kosztu przesyki
            try
            {
                string sLogin = ""; // Login konta w Postivo.pl
                string sApiPass = ""; // Haso dostpu do konta przez API
                string iMsgType = "1"; // Typ przesyki (1-przesyka listowa, 2-Fax)

                //DOKUMENTY

                //Obiekt zawierajcy zawarto pliku z dokumentami 
                Postivo.DocumentFile document = new Postivo.DocumentFile();

                byte[] docByte = File.ReadAllBytes("C:\\Nazwa_Pliku.pdf");
                string imgString = Convert.ToBase64String(docByte);

                document.file_name = "Nazwa_Pliku.pdf";
                document.file_stream = imgString;

                // Tablica zawierajca zawarto plikw z dokumetnami, ktre powinny by umieszczone
                // w przesyce (Mozna podac wiele plikw jako kolejne elementy tablicy)
                Postivo.DocumentFile[] arDocFiles = new Postivo.DocumentFile[] { document };

                //ODBIORCY

                // Dane odbiorcw podane bezporednio:
                Postivo.Recipient recipment_1 = new Postivo.Recipient();
                recipment_1.id = 0;
                recipment_1.source = "inline";
                recipment_1.recipient_name = "Jan Nowak";
                recipment_1.recipient_address_prefix = "ul.";
                recipment_1.recipient_address = "Przykadowa";
                recipment_1.recipient_home_number = "2";
                recipment_1.recipient_flat_number = "5";
                recipment_1.recipient_post_code = "00-999";
                recipment_1.recipient_city = "Warszawa";
                recipment_1.recipient_fax_number = "000000000";

                // Odbiorcy z grupy odbiorcw
                Postivo.Recipient recipment_2 = new Postivo.Recipient();
                recipment_2.source = "group";
                recipment_2.id = 1;

                // Odbiorca z ksizki adresowej
                Postivo.Recipient recipment_3 = new Postivo.Recipient();
                recipment_3.source = "book";
                recipment_3.id = 1;

                // Tablica zawierajca dane odbiorcw przesyek
                Postivo.Recipient[] arRecipients = new Postivo.Recipient[] { recipment_1, recipment_2, recipment_3 };

                // ID profilu konfiguracji (0 - konfiguracja domylna - najtasza)
                int iConfId = 0;

                // Utworzenie obiektu serwisu:
                Postivo.PostivoplPortTypeClient serwis = new Postivo.PostivoplPortTypeClient();

                // Wywoanie metody getPrice z przekazaniem wszystkich parametrw
                Postivo.PriceReturnObject output = serwis.getPrice(sLogin, sApiPass, iMsgType, arDocFiles, arRecipients, iConfId);

                //DANE WYJCIOWE

                // Przykad obsugi danych wyjciowych:
                Console.WriteLine("Status dania: " + output.result);
                Console.WriteLine("Kod statusu dania: " + output.result_code);
                Console.WriteLine("Opis statusu dania: " + output.result_description);

                 foreach (Postivo.ShipmentPrice shipment in output.shipments_price)
                    {

                        Console.WriteLine("Przesyka dla: " + shipment.recipient_name + ", " + shipment.recipient_address + " " + shipment.recipient_home_number + " " + shipment.recipient_flat_number + ", " + shipment.recipient_post_code + " " + shipment.recipient_city + ", fax: " + shipment.recipient_fax_number);
                        Console.WriteLine("Zostanie nadana za porednictwem: " + shipment.dispatch_carrier + " jako: " + shipment.dispatch_type + ". Jej koszt to " + shipment.price + "z netto");
                    }
            }
            catch (Exception exeption)
            {
                Console.WriteLine("Wystpi bd: " + exeption.Message);
            }
        }
    }
}
